{% extends "base.html" %}

{% block content %}
    <main class="center-text-view">
        <h1>Accounts</h1>
        <p>It is {% now "l, F jS, Y" %}</p>  
        <table>
            <thead>
                <th>Name</th>
                <th>Number</th>
                <th>Number of Receipts</th>
            </thead>
            <tbody>
                {% for account in account_list %}
                    <tr>
                        <td>{{account.name}}</td>
                        <td>{{account.number}}</td>
                        <td>{{account.receipts.all | length}}</td>
                        <td>
                            <a href="{% url 'account_edit_url' account.id %}">Edit</a>
                        </td>
                        <td>
                            <a href="{% url 'account_delete_url' account.id %}">Delete</a>
                        </td>
                    </tr>
                {% endfor %}
            </tbody>
        </table>
    </main>
{% endblock content%}